// JavaScript Document
//检测参数设置
function ValidateNum(item,type,str)
{
	var returnVal = 0;
	var intVal;
	var strVal = new String(item.val());
	var ch;
	var i;
	if(type == "OUTRATE")//输入输出卡输出码率
	{
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数!");
				item.focus();
	       		return false;
			}
		}
		intVal= parseInt(item.val(),10);
		if(intVal > 213000000 || intVal <0)
		{
			alert(str+"必须在0~213000000之间!");
			item.focus();
			return false; 
		}
	}
	else if(type == "REFRATE")//输出码率和基准码率
	{
		if(strVal=="")
	    {
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数!");
				item.focus();
	       		return false;
			}
		}
		intVal= parseInt(item.val(),10);
		if((intVal <500000)||(intVal > 205000000))
		{
			alert(str+"必须在500000~205000000之间!");
			item.focus();
			return false;
		}
	}
	else if(type == "SYSRATE")//系统码率
	{
		if(strVal=="")
	    {
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数!");
				item.focus();
	       		return false;
			}
		}
		intVal= parseInt(item.val(),10);
		if((intVal <0)||(intVal > 213000000))
		{
			alert(str+"必须在0~213000000之间!");
			item.focus();
			return false;
		}
	}
	else if(type == "DELAYTIME")//输出复用延时
	{
		if(strVal=="")
	    {
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		for ( i = 0 ; i < strVal.length ; i++ )
		{      
			ch = strVal.charAt(i);
 			if(ch < '0' || ch > '9')
			{
				alert(str+"请输入合法的10进制整数!");
				item.focus();
	       		return false;
			}
		}
		intVal= parseInt(item.val(),10);
		if((intVal <0)||(intVal > 19418))
		{
			alert(str+"必须在0~19418之间!");
			item.focus();
			return false;
		}
	}
  return true;
}